Summary: A text mode mail user agent.
Name: mutt
%define pversion 0.95.4
Version: %{pversion}us
Release: 4
Copyright: GPL
Group: Applications/Internet
Source: ftp://ftp.guug.de/pub/mutt/mutt-%{pversion}.tar.gz
Source1: mutt.wmconfig
Patch0: mutt-nosetgid.patch
Url: http://www.mutt.org/
Requires: slang >= 0.99.38, smtpdaemon
Buildroot: /var/tmp/mutt-root
# To build version with PGP/MIME support
# - Change "us" to "i" in the 4th line above
# - Get mutt source from:
#		ftp://ftp.guug.de/pub/mutt/
# - Replace Source line above appropriately
# - Add a requirement for pgp above
# - Remove '-us' from build path
# - Rebuild

%description
Mutt is a text mode mail user agent. Mutt supports color, threading,
arbitrary key remapping, and a lot of customization.

You should install mutt if you've used mutt in the past and you prefer
it, or if you're new to mail programs and you haven't decided which one
you're going to use.

%prep
%setup -n mutt-%{pversion}-us
%patch0 -p1 -b .nosetgid

%build
#automake
autoconf
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/slang" LDFLAGS=-s ./configure \
	--prefix=/usr --with-sharedir=/etc --sysconfdir=/etc --enable-pop --enable-imap \
	--disable-warnings --with-slang --disable-domain
make
%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr sharedir=$RPM_BUILD_ROOT/etc \
  sysconfdir=$RPM_BUILD_ROOT/etc \
  docdir=$RPM_BUILD_ROOT/usr/doc/mutt-%{version} install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/mutt.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/mutt
strip $RPM_BUILD_ROOT/usr/bin/mutt
sed -e "s/\/usr\/doc\/mutt\//\/usr\/doc\/mutt-%{version}\//" $RPM_BUILD_ROOT/etc/Muttrc > $RPM_BUILD_ROOT/etc/Muttrc.new
mv -f $RPM_BUILD_ROOT/etc/Muttrc.new $RPM_BUILD_ROOT/etc/Muttrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/Muttrc
%dir /etc/charsets
%config (missingok) /etc/X11/wmconfig/mutt
%config (missingok) /etc/charsets/*
%doc contrib/Mush.rc contrib/Pine.rc README* contrib/sample.* NEWS
%doc COPYRIGHT doc/manual.txt contrib/language*
/usr/bin/mutt
/usr/man/man1/mutt.1
/usr/share/locale/*/LC_MESSAGES/mutt.mo

%changelog
* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- sed correct doc path into /etc/Muttrc for viewing manual

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Mon Mar  8 1999 Bill Nottingham <notting@redhat.com>
-  update to 0.95.4 - fixes a /tmp race

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- the RETURN OF WMCONFIG! Aiyeee!

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- 0.95.3 - fixes mailcap handling

* Mon Jan  4 1999 Bill Nottingham <notting@redhat.com>
- 0.95.1

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- 0.95

* Fri Jul 31 1998 Bill Nottingham <notting@redhat.com>
- backport some 0.94.2 security fixes
- fix un-setgid
- update to 0.93.2

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- security fix
- update to 0.93.1.
- turn off setgid mail.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.91.1

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to mutt-0.89.1

* Thu Oct 16 1997 Otto Hammersmith <otto@redhat.com>
- Updated to mutt 0.85.
- added wmconfig entries.
- removed mime.types

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- Rebuilt to insure all sources were fresh and patches were clean.

* Wed Aug 6 1997 Manoj Kasichainula <manojk@io.com>
 - Initial version for 0.81(e)
